Bug 67528 - Web Inspector: didMarkDOMContentEvent() should send event of MarkDOMContent type.
Summary: Web Inspector: didMarkDOMContentEvent() should send event of MarkDOMContent t...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Ilya Tikhonovsky
URL:
Keywords:
Depends on: 68360
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 15:05 PDT by Vsevolod Vlasov
Modified: 2011-09-28 22:01 PDT (History)
12 users (show)

See Also:


Attachments
[patch] initial version (7.30 KB, patch)
2011-09-19 02:36 PDT, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2011-09-02 15:05:45 PDT
didMarkDOMContentEvent() should send event of MarkDOMContent type.

It is now sending event with TimeStamp type.

http://codesearch.google.com/codesearch#OAMlx_jo-ck/src/third_party/WebKit/Source/WebCore/inspector/InspectorTimelineAgent.cpp&type=cs&l=334
Comment 1 Ilya Tikhonovsky 2011-09-19 02:36:58 PDT
Created attachment 107822 [details]
[patch] initial version
Comment 2 Pavel Feldman 2011-09-19 02:52:51 PDT
Comment on attachment 107822 [details]
[patch] initial version

View in context: https://bugs.webkit.org/attachment.cgi?id=107822&action=review

> LayoutTests/inspector/timeline/timeline-animation-frame.html:28
> +    function finish()

Is this a part of this patch?

> LayoutTests/inspector/timeline/timeline-dom-content-loaded-event.html:11
> +    InspectorTest.startTimeline(function() { InspectorTest.reloadPage(); });

Tests should not reload the page, please use iframe instead.
Comment 3 Ilya Tikhonovsky 2011-09-19 05:05:44 PDT
Comment on attachment 107822 [details]
[patch] initial version

in the current implementation we don't push these events to the Inspector front-end for resources other than main resource.
Comment 4 Ilya Tikhonovsky 2011-09-19 06:31:28 PDT
Comment on attachment 107822 [details]
[patch] initial version

Clearing flags on attachment: 107822

Committed r95410: <http://trac.webkit.org/changeset/95410>
Comment 5 Ilya Tikhonovsky 2011-09-19 06:31:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Ilya Tikhonovsky 2011-09-28 22:01:38 PDT
I'll fix this

(In reply to comment #6)
> The test added by this patch has been failing on Snow Leopard:
> http://build.webkit.org/old-results/SnowLeopard%20Intel%20Release%20(Tests)/r95410%20(33190)/inspector/timeline/timeline-load-event-pretty-diff.html